#
# mciWrap.py
#
# Simple wrapper for Win32 MCI API calls.
#
# The main purpose was to replace the C-dll -frontend wrapper
# in CDDB.py Win32 port with something not requiring C compilers.
# This implementation relies on ctypes-module to wrap the dll calls.
#
# You can do whatever you want with this code. But if you make profit
# with it, please donate some money to a destination of your choise.
#
# Jouni Paulus, <jouni.paulus @ iki.fi>, 21.11.2006
#
from ctypes import c_char_p, windll, create_string_buffer

def callFun(commandString):
    tmpBufLen=2048;
    tmpBuffer=create_string_buffer('\x00',tmpBufLen);
    retVal=windll.WINMM.mciSendStringA(commandString, tmpBuffer, tmpBufLen, None)
    return tmpBuffer.value
